Get AML report by uid
curl --request POST \
--url https://tag.alfa-bot.com/api/prod/v1/aml-report-recheck \
--header 'Content-Type: application/json' \
--header 'token: <api-key>' \
--data '
{
"uid": "11aa04033dcac58816e4cb53e8592280a1f897bd4"
}
'import requests
url = "https://tag.alfa-bot.com/api/prod/v1/aml-report-recheck"
payload = { "uid": "11aa04033dcac58816e4cb53e8592280a1f897bd4" }
headers = {
"token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({uid: '11aa04033dcac58816e4cb53e8592280a1f897bd4'})
};
fetch('https://tag.alfa-bot.com/api/prod/v1/aml-report-recheck', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "200",
"error_code": null,
"error_message": null,
"data": {
"user_id": "111",
"message": "<b>Transaction ID: </b>96fe2354bd498d9eb844452dc6b8e7f84f6ae33f0625bb63dcd024be7722669a\n-------------------\n\nLow - Low; Medium - Medium;\nHigh - High; Very high - Very high\n\n<b>Risk: </b>Very high (100)\n\nSearch <b>Sources of funding:</b>\n\n<b>By type:</b>\n\nunknown wallet / otc / service - 41.3%\nmaximum depth reached - 15.62%\nExchange - 20.29%\nsmall transactions - 13.35%\nOFSI Sanctions - 5.51%\nunknown smart contract - 2.39%\nLow-risk exchange - 1.18%\nReported hack - 0.17%\nInstant exchange - 0.15%\n",
"aml_score": 100,
"params": {
"owner": "N/A",
"transactions": {
"total": 0,
"inputs": 0,
"outputs": 0
},
"balances": {
"TRX": 0,
"USDT": 0
},
"last_operation": null,
"risk": {
"score": 100
},
"sources_of_funding": {
"unknown wallet / otc / service": 41.3,
"maximum depth reached": 15.62,
"Bybit": 15.17,
"small transactions": 13.35,
"HTX": 5.51,
"unknown smart contract": 2.39,
"Brasil Bitcoin": 2.04,
"KuCoin": 1.93,
"Binance": 1.18,
"Tothemoon (ex. Cryptology)": 0.56,
"VALR": 0.32,
"Reported hack": 0.17,
"FixedFloat": 0.15,
"Kyrrex": 0.12,
"Coins.ph": 0.11
},
"types_of_funding": {
"unknown wallet / otc / service": 41.3,
"maximum depth reached": 15.62,
"Exchange": 20.29,
"small transactions": 13.35,
"OFSI Sanctions": 5.51,
"unknown smart contract": 2.39,
"Low-risk exchange": 1.18,
"Reported hack": 0.17,
"Instant exchange": 0.15
}
},
"pdf_link": "https://fproxy.alfa-bot.com/file/1.pdf",
"checks_balance": "10"
}
}AML
Get AML report by uid
POST
/
aml-report-recheck
Get AML report by uid
Authorizations
Pass your API token in the token request header.
Body
application/json
uid received in response to POST /aml-report (with async = true)
Example:
"11aa04033dcac58816e4cb53e8592280a1f897bd4"
Response
OK - AML recheck response by uid
Response code.
Example:
"200"
Application-level error code. Null for successful responses.
Example:
null
Human-readable error message. Null for successful responses.
Example:
null
Response data. For async=true it contains uid. For async=false or completed recheck it contains AML report fields. For recheck provider errors it may contain code, error_code and error_message.
Show child attributes
Show child attributes
⌘I